<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;
use CodeIgniter\Database\RawSql;

class AddEspiralOrdenTrabajoDates extends Migration
{
    protected array $DATES = [
        "espiral_at" => [
            "type" => "DATE",
            "null" => true,
        ],
    ];
    protected array $USERS = [
        "espiral_user_id" => [
            "type" => "INT",
            "unsigned" => true,
            "constraint" => 10,
            "null" => true,
        ],
    ];
    
    public function up()
    {
        $this->forge->addColumn("orden_trabajo_dates", $this->DATES);
        $this->forge->addColumn("orden_trabajo_users", $this->USERS);
        foreach ($this->USERS as $key => $value) {
            $this->forge->addForeignKey([$key],"users",["id"]);
        }
    }

    public function down()
    {
        $this->forge->dropColumn("orden_trabajo_dates", array_keys($this->DATES));
        $this->forge->dropColumn("orden_trabajo_users", array_keys($this->USERS));

        
    }
}
